begin
  require 'jeweler'
  Jeweler::Tasks.new do |gem|
    gem.name = "tinder"
    gem.summary = "An (unofficial) Campfire API"
    gem.description = "An API for interfacing with Campfire, the 37Signals chat application."
    gem.authors = ['Brandon Keepers']
    gem.email = 'brandon@opensoul.org'
    gem.homepage = 'http://github.com/collectiveidea/tinder'
    gem.rubyforge_project = "tinder"
    gem.add_dependency "activesupport"
    gem.add_dependency "hpricot"
    gem.add_dependency "mime-types"
    gem.add_development_dependency "rspec"
  end
  Jeweler::GemcutterTasks.new
  Jeweler::RubyforgeTasks.new do |rubyforge|
    rubyforge.doc_task = "rdoc"
  end
rescue LoadError
  puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
end

require 'rake/testtask'
Rake::TestTask.new(:test) do |test|
  test.libs << 'lib' << 'test'
  test.pattern = 'test/**/*_test.rb'
  test.verbose = true
end

begin
  require 'rcov/rcovtask'
  Rcov::RcovTask.new do |test|
    test.libs << 'test'
    test.pattern = 'test/**/*_test.rb'
    test.verbose = true
  end
rescue LoadError
  task :rcov do
    abort "RCov is not available. In order to run rcov, you must: sudo gem install spicycode-rcov"
  end
end

task :test => :check_dependencies

require 'rake/rdoctask'
Rake::RDocTask.new do |rdoc|
  if File.exist?('VERSION')
    version = File.read('VERSION')
  else
    version = ""
  end

  rdoc.rdoc_dir = 'rdoc'
  rdoc.title = "tinder #{version}"
  rdoc.rdoc_files.include('README*')
  rdoc.rdoc_files.include('lib/**/*.rb')
end

require 'spec/rake/spectask'
desc "Run the specs under spec"
Spec::Rake::SpecTask.new do |t|
  t.spec_opts = ['--options', "spec/spec.opts"]
  t.spec_files = FileList['spec/**/*_spec.rb']
end

desc "Run tests"
task :default => [:spec, :test]
